Announcement

Collapse
No announcement yet.

AMD Catalyst 10.10 For Linux Officially Released

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #11
    Originally posted by foobar66 View Post
    I am running latest kernel 2.6.36.

    ATI driver does not compile.

    > cd /lib/modules/fglrx/build_mod
    > ./make.sh


    CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:410: error: unknown field ‘ioctl’ specified in initializer
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:410: warning: initialization from incompatible pointer type
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function ‘KCL_MapPageToPfn’:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1636: warning: unused variable ‘bus_addr’
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
    make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
    make[2]: *** Waiting for unfinished jobs....
    /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.c:51: warning: ‘struct tty_struct’ declared inside parameter list
    /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.c:51: warning: its scope is only this definition or declaration, which is probably not what you want
    /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.c:60: warning: ‘struct tty_struct’ declared inside parameter list
    /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.c:67: warning: initialization from incompatible pointer type
    /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.c:74: warning: initialization from incompatible pointer type

    Any clue?
    http://rapidshare.com/files/42668263...x-8.783.tar.gz

    try to compile with these files, they worked for me, i cant link a patch because the patch that i found didnt work with the latest catalyst, so i had to manually patch these it

    Comment


    • #12
      When you want to use Debian/Ubuntu just use my script.

      @RealNC

      In theory it should have worked, maybe you hd fglrx preinstalled and switched with

      update-alternatives --config gl_conf
      initramfs -u
      ldconfig

      before, you have to repeat this or you have to uninstall fglrx and reinstall from scratch (thats the way i use in my script, feel free to use it if you also want to use .36 kernels). When you installed it on a pure install you usually don't use radeon with kms anymore so you might have just forgotten to use:

      rm -f /etc/X11/xorg.conf*
      aticonfig --initial --nobackup

      Feel free to use "sudo -i"

      Comment


      • #13
        carries v-sync fixes
        The vsync has NOT been fixed. I still have the same sh#it every new update

        Comment


        • #14
          plymouth still dont show splash...

          Comment


          • #15
            Well you can try adding vga=791 to your bootoptions. fglrx does definitely NOT use kms, so that will never work.

            Comment


            • #16
              Originally posted by NomadDemon View Post
              plymouth still dont show splash...
              Sad.
              Originally posted by salva84 View Post
              The vsync has NOT been fixed. I still have the same sh#it every new update
              Sadder.


              Did they at least re-fix the unmaximize bug that was present in every Catalyst except 10.6?

              Comment


              • #17
                Originally posted by AnorexiasGrizzli View Post
                http://rapidshare.com/files/42668263...x-8.783.tar.gz

                try to compile with these files, they worked for me, i cant link a patch because the patch that i found didnt work with the latest catalyst, so i had to manually patch these it
                Excellent. This works with kernel 2.6.36. Thanks for helping out.

                Comment


                • #18
                  I mean the unminimize bug.
                  Damn the 1 minute edit. Whose brilliant idea was that...

                  Comment


                  • #19
                    Originally posted by AnorexiasGrizzli View Post
                    http://rapidshare.com/files/42668263...x-8.783.tar.gz

                    try to compile with these files, they worked for me, i cant link a patch because the patch that i found didnt work with the latest catalyst, so i had to manually patch these it
                    Excellent. That worked for me on kernel 2.6.36. Thanks for helping out.

                    Comment


                    • #20
                      Originally posted by salva84 View Post
                      The vsync has NOT been fixed. I still have the same sh#it every new update
                      I don't got any problems with that. Did you adjust your vsync settings within amdcccle?

                      Comment

                      Working...
                      X